Bug 494110 - radeon DRM and text-mode console broken with modeset, crashes X with nomodeset on Mobility Radeon 9200 M9+ (RV280)
radeon DRM and text-mode console broken with modeset, crashes X with nomodese...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-04 09:19 EDT by James
Modified: 2009-07-28 11:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-28 11:05:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output with modesetting enabled (54.65 KB, text/plain)
2009-04-04 09:19 EDT, James
no flags Details
X.org log with modesetting enabled (66.67 KB, text/plain)
2009-04-04 09:20 EDT, James
no flags Details
dmesg output with modesetting disabled (123.16 KB, text/plain)
2009-04-04 09:20 EDT, James
no flags Details
X.org log with modesetting disabled (67.88 KB, text/plain)
2009-04-04 09:20 EDT, James
no flags Details

  None (edit)
Description James 2009-04-04 09:19:31 EDT
Created attachment 338161 [details]
dmesg output with modesetting enabled

(This could be related to bug 486890, please mark as duplicate if appropriate.) I am using the following packages

kernel-2.6.29.1-46.fc11.i586
xorg-x11-drv-ati-6.12.1-4.fc11.i586
mesa-dri-drivers-7.5-0.6.fc11.i586

on a Mobility Radeon 9200 M9+ (RV280)-equipped HP Pavilion zx5030EA notebook.

With modesetting enabled:

1. Loading radeon breaks the text-mode console on my notebook regardless of whether or not X has been run. It disappears as soon as the module loads during startup and doesn't come back.

2. Hardware GL acceleration seens to be broken, glxgears down to ~100fps.

3. Enabling Desktop Effects leads to a white scren.

See radeon-modeset and Xorg.0.log-modeset (attached) for the relevant kernel and X logs.

Booting with nomodeset,

1. The text-mode console is preserved.

2. Hardware GL acceleration works, glxgears getting around 1600fps.

3. Enabling Desktop Effects crashes X.

Again, logs (-nomodeset) attached.
Comment 1 James 2009-04-04 09:20:18 EDT
Created attachment 338162 [details]
X.org log with modesetting enabled
Comment 2 James 2009-04-04 09:20:34 EDT
Created attachment 338163 [details]
dmesg output with modesetting disabled
Comment 3 James 2009-04-04 09:20:49 EDT
Created attachment 338164 [details]
X.org log with modesetting disabled
Comment 4 James 2009-04-06 10:57:25 EDT
Now, with

kernel-2.6.29.1-52.fc11.i586
libdrm-2.4.5-4.fc11.i586
xorg-x11-drv-ati-6.12.1-5.fc11.i586

Desktop Effects simply refuse to start; and X won't start if nomodeset is passed as a cmdline option.
Comment 5 Bug Zapper 2009-06-09 09:16:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.